from typing import TYPE_CHECKING

from fastfood_two.domain.menu.menu_entity import Menu

if TYPE_CHECKING:
    from fastfood_two.infrastructure.pg_storage.models import SQLAMenu


def db_entity_to_domain(menu: "SQLAMenu") -> Menu:
    return Menu(
        id=menu.id,
        title=menu.title,
        description=menu.description,
    )
